#Medián számolása (rendezett minta szerint a középső, páros darabszámúnál a két középső átlaga)
x=c(10,30,50,4,6,7,30)
sajat_median=function(x){
	my_x=sort(x);
	if((length(x) %% 2) == 1){
		my_x[length(x) %/% 2 +1]
	}else{
		index = length(x) %/% 2;
		(my_x[index+1] + my_x[index+2]) / 2
	}
}
sajat_median(x)